Subject: Re: Re: Re-authentication and security requirements

From: Paal Engelstad <[email-masked]>
Date: Thu, 17 Jan 2002 1:14:48 +0100

Agreed! Traffic protection (e.g. policing) by itself is out of scope, but we need to identify the hooks that is needed in the actual requirement. 

Looking at the scenarios is a way to identify the hooks. That is actually why I brought it up, and why I think multi-access-specific threats might be important for identifying requirements. 

The PANA protocol itself should not attempt to solve these security issues, but the protocol must accommodate that some other mechanism might have to do it.

Paal

> 
> Fra: "Alper Yegin" <[email-masked]>
> Dato: 2002/01/17 Thu AM 12:18:29 CET
> Til: "Paal Engelstad" <[email-masked]>, 
>    "Yoshihiro Ohba" <[email-masked]>, 
>    "James Kempf" <[email-masked]>
> CC: "George Tsirtsis" <[email-masked]>, 
>    "'Reinaldo Penno'" <[email-masked]>, 
>    "Erik Nordmark" <[email-masked]>,  <[email-masked]>, 
>    <[email-masked]>
> Tema: Re: Re-authentication and security requirements
> 
> Paal,
> 
> 
> > I think that PANA re-authentication will face significantly different
> security requirements on a multi-access link, compared to its PPP
> counterpart. If so is the case, the requirement document might have to
> address this issue:
> >
> > If I understand your discussion correctly, a firewall together with
> re-authentication is proposed as a means to enforce network access. This
> works fine on a point to point link. The good guy might be charged per
> minute, or per megabyte, and every time the user is about to start on the
> new minute or megabyte, it is asked to re-authenticate.
> >
> > However, on a multiaccess link, any malicious node could use an
> authenticated node's IP-address and get a free ride.
> 
> I think this is outside the scope of PANA. PANA should be used to
> authenticate the client, but not necessarily to protect the data
> traffic of authenticated/authorized clients.
> 
> But it might provide some hooks for that though. This is not
> a requirement, but if PANA also creates session keys, these
> keys can be fed to link-layer or IPsec for using L2 or L3
> security for data traffic... This is something we mentioned
> in SNARD proposal.
> 
> alper
> 
> 
>